SDL_VERSIONNUM(3)

NAME
SDL_VERSIONNUM - This macro turns the version numbers into a numeric value.

SYNOPSIS
#include <SDL3/SDL_version.h>

#define SDL_VERSIONNUM(major, minor, patch) \
    ((major) * 1000000 + (minor) * 1000 + (patch))

DESCRIPTION
(1,2,3) becomes 1002003.

MACRO PARAMETERS

major
    the major version number.

minor
    the minorversion number.

patch
    the patch version number.

AVAILABILITY
This macro is available since SDL 3.2.0.